# Welcome to the Python Portfolio

This project is a collection of classic command-line applications and games, developed
as a portfolio of Python projects from the Hyperskill platform.

The source code is heavily documented, tested with `pytest`, type-checked with `mypy`,
and formatted with `ruff`. It is intended to be a clear and readable example of a
well-structured Python application suite.

***

## Quick Start: Installation & Usage

Install the package using `pip` or any modern installer like `uv` or `pipx`:

```sh
pip install hyperskill-python-portfolio
````

Once installed, you can immediately run any of the included applications from your
terminal.

### Example: Hangman

```sh
hangman
```

### Example: Loan Calculator

```sh
# Calculate the monthly payment for a loan
loancalc annuity --principal 500000 --interest 5.5 --periods 360
```

-----

## Available Applications

This portfolio includes the following command-line applications:

| Command        | Description                                       |
|----------------|---------------------------------------------------|
| `loancalc`     | A powerful command-line loan calculator.          |
| `hangman`      | The classic word-guessing game.                   |
| `rps`          | Rock-Paper-Scissors with score tracking.          |
| `billsplitter` | A simple utility to split a bill among friends.   |
| `chatbot`      | A basic, friendly chatbot with scripted dialogue. |
| `zookeeper`    | A fun script that displays ASCII art of animals.  |

-----

## About This Project

This project serves two purposes:

1. **For Users:** To provide a simple, installable package of classic command-line tools
   and games.
2. **For Developers:** To serve as a practical portfolio demonstrating modern Python
   development practices.

For more details on the development process, please visit the
project's [GitHub repository](https://github.com/rabestro/hyperskill-python-portfolio).
